org.eclipse.mat.inspections.threads

## Class ThreadInfoQuery

- java.lang.Object
- - org.eclipse.mat.inspections.threads.ThreadInfoQuery

All Implemented Interfaces:
  IQuery

    public class ThreadInfoQuery
    extends Object
    implements IQuery

### Nested Class Summary

Nested Classes
`static class` `ThreadInfoQuery.Result`

### Field Summary

Fields
`ISnapshot` `snapshot`
`IHeapObjectArgument` `threadIds`

### Constructor Summary

Constructors
Constructor and Description
`ThreadInfoQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ThreadInfoQuery.Result` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### threadIds

    public IHeapObjectArgument threadIds

### Constructor Detail

#### ThreadInfoQuery

    public ThreadInfoQuery()

### Method Detail

#### execute

    public ThreadInfoQuery.Result execute(IProgressListener listener)
                                   throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception`